# Make script for Chad projects
# This script depends on the following variables
#  - OUT       : output program name
#  - OUTARGS   : default flags to fork ${OUT} with

#
CHAD_DEBUG:=-Og -ggdb -pg -fno-inline

# Programs to check warnings for as defined by the Chad standard
GCC:=gcc
GCC.warnings:=-Wall -Wextra -Wpedantic
CLANG:=clang
CLANG.warnings:=-Weverything
VALGRIND:=valgrind

chad_test:
	${GCC} ${GCC.warnings} ${SRC} -o ${OUT}
	${CLANG} ${GCC.warnings} ${SRC} -o ${OUT}
	${VALGRIND} ${OUT} ${OUTARGS}

.DEFAULT_GOAL:=main
